package com.adealink.weparty.profile.edit.comp

import androidx.lifecycle.LifecycleOwner
import com.adealink.frame.mvvm.view.ViewComponent
import com.adealink.frame.mvvm.viewmodel.activityViewModels
import com.adealink.weparty.profile.databinding.LayoutEditProfilePersonTalentBinding
import com.adealink.weparty.profile.edit.viewmodel.EditProfileViewModel
import com.adealink.weparty.profile.viewmodel.ProfileViewModel
import com.adealink.weparty.profile.viewmodel.ProfileViewModelFactory

class EditTalentComp(
    lifecycleOwner: LifecycleOwner,
    private val binging: LayoutEditProfilePersonTalentBinding
) : ViewComponent(lifecycleOwner) {

    companion object {
        private const val SOURCE_TAG = "EditTalentComp"
    }

    private val profileViewModel by activityViewModels<ProfileViewModel> { ProfileViewModelFactory() }
    private val editViewModel by activityViewModels<EditProfileViewModel> { ProfileViewModelFactory() }

    override fun onCreate() {
        super.onCreate()
        initView()
        observeViewModel()
    }

    private fun initView() {

    }

    private fun observeViewModel() {

    }

}